﻿using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Mvc;

namespace TestProject.Controllers
{
    /// <summary>
    /// 홈 컨트롤러
    /// </summary>
    public class HomeController : Controller
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 웹 호스트 환경
        /// </summary>
        private IWebHostEnvironment environment;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - HomeController(environment)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="environment">웹 호스트 환경</param>
        public HomeController(IWebHostEnvironment environment)
        {
            this.environment = environment;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 인덱스 페이지 처리하기 - Index()

        /// <summary>
        /// 인덱스 페이지 처리하기
        /// </summary>
        /// <returns>액션 결과</returns>
        public IActionResult Index()
        {
            ViewData["WebRootPath"    ] = this.environment.WebRootPath;
            ViewData["ContentRootPath"] = this.environment.ContentRootPath;

            return View();
        }

        #endregion
    }
}